NX Open C++ Reference Guide
|
Represents a Tooling::AddReusablePart
To create a new instance of this class, use Tooling::AddReusablePartCollection::CreateBuilder
Created in NX5.0.0.
More...
Public Types | |
enum | ModeMethod { ModeMethodAdd = 1, ModeMethodEdit } |
Represents adding or editing a reusable component mode method. More... | |
enum | PositionMethod { PositionMethodInvalid = -1, PositionMethodAbsolute, PositionMethodMate, PositionMethodReposition, PositionMethodWcs, PositionMethodPosition, PositionMethodPoint = 15, PositionMethodInferredOny, PositionMethodRouting } |
Represents the position method. More... | |
Public Member Functions | |
void | AddClonePartName (const NXString &clonedpartname) |
Adds clone part name Created in NX9.0.0. | |
void | AddClonePartName (const char *clonedpartname) |
Adds clone part name Created in NX9.0.0. | |
void | AddComponentMode (NXOpen::Tooling::AddReusablePart::ModeMethod modeMethod) |
Adds mode for a reusable component Created in NX9.0.0. | |
void | AddComponentProperty (const NXString &compName, const NXString &refsetName, int layer) |
Adds Component Properties Created in NX9.0.0. | |
void | AddComponentProperty (const char *compName, const char *refsetName, int layer) |
Adds Component Properties Created in NX9.0.0. | |
void | AddHoleInstance (const NXOpen::Point3d &inputDirection, const NXOpen::Point3d &inputPostion) |
Adds series of reusable components in holes Created in NX9.0.0. | |
void | AddNewInstance (NXOpen::Assemblies::Component *partOcc, int index) |
Adds a new instance Created in NX9.0.0. | |
void | AddPartOccurance (NXOpen::Assemblies::Component *partOcc) |
Adds occurance into the part data Created in NX9.0.0. | |
void | AffirmReusableComponent () |
Affirms insertion of the reusable component Created in NX9.0.0. | |
void | ConstructParametersData () |
Constructs the parameters data, reads data from part family or spreadsheet and updates the parameter data in the part Created in NX9.0.0. | |
NXOpen::Tooling::CloneObject * | CreateCloneObject (NXOpen::Tooling::ToolingApplication applicationType, const NXString &assemName) |
Creates the clone operation object. | |
NXOpen::Tooling::CloneObject * | CreateCloneObject (NXOpen::Tooling::ToolingApplication applicationType, const char *assemName) |
Creates the clone operation object. | |
void | CreateComponents (int count, NXOpen::NXObject *selobj) |
Creates an array instance of a component Created in NX9.0.0. | |
void | CreateReusableConstraints (int index) |
Creates constraints for the reusable component Created in NX9.0.0. | |
void | CreateReusablePocket (bool commit) |
Creates pocket for a reusable component Created in NX9.0.0. | |
void | DeleteComponents (int count) |
Deletes an array instance of a component Created in NX9.0.0. | |
void | DeleteReusableConstraints () |
Deletes constraints for the reusable component Created in NX9.0.0. | |
void | DeleteReusablePocket () |
Deletes pocket for a reusable component Created in NX9.0.0. | |
void | DestroyReusableBuilder () |
Destroys reusable builder data Created in NX9.0.0. | |
void | EditReusableComponent (NXOpen::Assemblies::Component *partOcc) |
Edits a reusable component Created in NX9.0.0. | |
NXOpen::NXObject * | GetAttachedGeometry () |
Gets the attached geometry, this is mainly used to get the initial parameter. | |
NXOpen::Tooling::CloneObject * | GetCloneObject () |
Gets the clone operation object. | |
std::vector < NXOpen::Assemblies::Component * > | GetDesignElement () |
Gets an array of design elements. | |
NXOpen::Point3d | GetInitialPosition () |
Gets the initial location, this is mainly used to get default add location of a reusable component. | |
NXOpen::Part * | GetParentPart () |
Gets the parent part, this is mainly used to get context work part of a reusable component. | |
NXOpen::Tooling::ReusablePocketBuilder * | GetReusablePocketBuilder () |
Gets the reusable pocket builder. | |
NXOpen::Tooling::SpreadsheetData * | GetSpreadsheetData () |
Gets the spreadsheet data, this is mainly used to get the attributes of a reusable component. | |
void | InsertReusableComponent (int instIndex, bool needTransform) |
Inserts the component into the part data Created in NX9.0.0. | |
void | LoadReusableComponent (const NXString &krxFile) |
Loads the reusable component Created in NX9.0.0. | |
void | LoadReusableComponent (const char *krxFile) |
Loads the reusable component Created in NX9.0.0. | |
void | MoveReusableComponent (const NXOpen::Vector3d &translation, const NXOpen::Matrix3x3 &rotation, int index) |
Moves a reusable component to a selected position Created in NX9.0.0. | |
NXOpen::Tooling::AddReusablePart::PositionMethod | PositionMode () |
Returns the current position method. | |
void | RecordReusableComponent (const NXString &fileName) |
Records the existing reusable component with the same name Created in NX9.0.0. | |
void | RecordReusableComponent (const char *fileName) |
Records the existing reusable component with the same name Created in NX9.0.0. | |
void | RemoveDesignElement () |
Removes design element component Created in NX9.0.0. | |
void | RemoveOldInstance (int index) |
Removes the instance from the part data Created in NX9.0.0. | |
void | RemoveReusableComponent (int index) |
Removes a reusable component Created in NX9.0.0. | |
NXOpen::NXObject * | ReverseComponentDirection (const NXOpen::Point3d &inputPosition, const NXOpen::Point3d &inputDirection, double length, const NXOpen::Point3d &outputPosition, const NXOpen::Point3d &outputDirection) |
Reverses the direction of the reusable component if the reusable component is placed on a face. | |
void | ReversePreviewComponent (const NXOpen::Point3d &rememberDir) |
Reverses the direction of the reusable component if the reusable component is not placed on a face. | |
void | SaveLibraryPath (const NXString &libName, const NXString &libpath) |
Saves the library name and path of the reusable component Created in NX9.0.0. | |
void | SaveLibraryPath (const char *libName, const char *libpath) |
Saves the library name and path of the reusable component Created in NX9.0.0. | |
void | SetAttachedGeometry (NXOpen::NXObject *part) |
Sets the attached geometry, this is mainly used to set the initial parameter Created in NX9.0.0. | |
void | SetCloneObject (NXOpen::Tooling::CloneObject *cloneObject) |
Sets the clone operation object Created in NX9.0.0. | |
void | SetComponentProperties (const NXString &referenceSetName, const NXString &componentName, int layer) |
Sets the reusable component properties Created in NX9.0.0. | |
void | SetComponentProperties (const char *referenceSetName, const char *componentName, int layer) |
Sets the reusable component properties Created in NX9.0.0. | |
void | SetInitialPosition (const NXOpen::Point3d &dropLocation) |
Sets the initial location, this is mainly used to set default add location of a reusable component Created in NX9.0.0. | |
void | SetParentPart (NXOpen::Part *part) |
Sets the parent part, this is mainly used to set context work part of a reusable component Created in NX9.0.0. | |
void | SetPositionMode (NXOpen::Tooling::AddReusablePart::PositionMethod positionMode) |
Sets the current position method. | |
void | SetReusablePocketBuilder (NXOpen::Tooling::ReusablePocketBuilder *pocketTag) |
Sets the reusable pocket builder Created in NX9.0.0. | |
void | SetSearchGeometry (bool isTrunOn) |
Sets the search geometry for a reusable component Created in NX9.0.0. | |
void | SetSpreadsheetData (NXOpen::Tooling::SpreadsheetData *spreadsheetData) |
Sets the spreadsheet data, this is mainly used to set the attributes of a reusable component Created in NX9.0.0. | |
void | SubtituteReusableComponent (bool substituteInstance) |
Subtitutes a reusable part Created in NX9.0.0. | |
void | UpdatePartData () |
Updates the part data of a reusable component Created in NX9.0.0. | |
void | UpdateReusableComponent () |
Updates the part data for a reusable component, this is mainly used to update parameter for a reusable component Created in NX9.0.0. | |
void | UpdateReusablePocket () |
Updates the pocket for a reusable component Created in NX9.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Tooling::AddReusablePart
To create a new instance of this class, use Tooling::AddReusablePartCollection::CreateBuilder
Created in NX5.0.0.
Represents the position method.
PositionMethodAbsolute |
absolute |
PositionMethodMate |
mate |
PositionMethodReposition |
reposition |
PositionMethodWcs |
wcs |
PositionMethodPosition |
position |
PositionMethodInferredOny |
inferred ony |
PositionMethodRouting |
Position using Routing. |
void NXOpen::Tooling::AddReusablePart::AddClonePartName | ( | const NXString & | clonedpartname | ) |
Adds clone part name
Created in NX9.0.0.
License requirements : None
clonedpartname | The new clone part name NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Tooling::AddReusablePart::AddClonePartName | ( | const char * | clonedpartname | ) |
Adds clone part name
Created in NX9.0.0.
License requirements : None
clonedpartname | The new clone part name NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Tooling::AddReusablePart::AddComponentMode | ( | NXOpen::Tooling::AddReusablePart::ModeMethod | modeMethod | ) |
Adds mode for a reusable component
Created in NX9.0.0.
License requirements : None
modeMethod | mode method |
void NXOpen::Tooling::AddReusablePart::AddComponentProperty | ( | const NXString & | compName, |
const NXString & | refsetName, | ||
int | layer | ||
) |
Adds Component Properties
Created in NX9.0.0.
License requirements : None
compName | The name of the reference set used to represent the new component NOTE: The full Unicode character set is not supported for this parameter. |
refsetName | The layer to place the new component on NOTE: The full Unicode character set is not supported for this parameter. |
layer | layer |
void NXOpen::Tooling::AddReusablePart::AddComponentProperty | ( | const char * | compName, |
const char * | refsetName, | ||
int | layer | ||
) |
Adds Component Properties
Created in NX9.0.0.
License requirements : None
compName | The name of the reference set used to represent the new component NOTE: The full Unicode character set is not supported for this parameter. |
refsetName | The layer to place the new component on NOTE: The full Unicode character set is not supported for this parameter. |
layer | layer |
void NXOpen::Tooling::AddReusablePart::AddHoleInstance | ( | const NXOpen::Point3d & | inputDirection, |
const NXOpen::Point3d & | inputPostion | ||
) |
Adds series of reusable components in holes
Created in NX9.0.0.
License requirements : None
inputDirection | The input direction of component |
inputPostion | The input position of componnent |
void NXOpen::Tooling::AddReusablePart::AddNewInstance | ( | NXOpen::Assemblies::Component * | partOcc, |
int | index | ||
) |
Adds a new instance
Created in NX9.0.0.
License requirements : None
partOcc | Add the new occurance into the part data |
index | The index of component instance |
void NXOpen::Tooling::AddReusablePart::AddPartOccurance | ( | NXOpen::Assemblies::Component * | partOcc | ) |
Adds occurance into the part data
Created in NX9.0.0.
License requirements : None
partOcc | The component occurance to add in the part data |
void NXOpen::Tooling::AddReusablePart::AffirmReusableComponent | ( | ) |
Affirms insertion of the reusable component
Created in NX9.0.0.
License requirements : None
void NXOpen::Tooling::AddReusablePart::ConstructParametersData | ( | ) |
Constructs the parameters data, reads data from part family or spreadsheet and updates the parameter data in the part
Created in NX9.0.0.
License requirements : None
NXOpen::Tooling::CloneObject* NXOpen::Tooling::AddReusablePart::CreateCloneObject | ( | NXOpen::Tooling::ToolingApplication | applicationType, |
const NXString & | assemName | ||
) |
Creates the clone operation object.
applicationType | Wizard type |
assemName | Project assembly name |
NXOpen::Tooling::CloneObject* NXOpen::Tooling::AddReusablePart::CreateCloneObject | ( | NXOpen::Tooling::ToolingApplication | applicationType, |
const char * | assemName | ||
) |
Creates the clone operation object.
applicationType | Wizard type |
assemName | Project assembly name |
void NXOpen::Tooling::AddReusablePart::CreateComponents | ( | int | count, |
NXOpen::NXObject * | selobj | ||
) |
Creates an array instance of a component
Created in NX9.0.0.
License requirements : None
count | The count is array instance number |
selobj | The selected object is FACE type, the reusable component place on the face |
void NXOpen::Tooling::AddReusablePart::CreateReusableConstraints | ( | int | index | ) |
Creates constraints for the reusable component
Created in NX9.0.0.
License requirements : None
index | The index part is to create constraints |
void NXOpen::Tooling::AddReusablePart::CreateReusablePocket | ( | bool | commit | ) |
Creates pocket for a reusable component
Created in NX9.0.0.
License requirements : None
commit | if the variable is true, the component needs pocket |
void NXOpen::Tooling::AddReusablePart::DeleteComponents | ( | int | count | ) |
Deletes an array instance of a component
Created in NX9.0.0.
License requirements : None
count | The count is array instance number |
void NXOpen::Tooling::AddReusablePart::DeleteReusableConstraints | ( | ) |
Deletes constraints for the reusable component
Created in NX9.0.0.
License requirements : None
void NXOpen::Tooling::AddReusablePart::DeleteReusablePocket | ( | ) |
Deletes pocket for a reusable component
Created in NX9.0.0.
License requirements : None
void NXOpen::Tooling::AddReusablePart::DestroyReusableBuilder | ( | ) |
Destroys reusable builder data
Created in NX9.0.0.
License requirements : None
void NXOpen::Tooling::AddReusablePart::EditReusableComponent | ( | NXOpen::Assemblies::Component * | partOcc | ) |
Edits a reusable component
Created in NX9.0.0.
License requirements : None
partOcc | The component occurance to edit in the part data |
NXOpen::NXObject* NXOpen::Tooling::AddReusablePart::GetAttachedGeometry | ( | ) |
Gets the attached geometry, this is mainly used to get the initial parameter.
NXOpen::Tooling::CloneObject* NXOpen::Tooling::AddReusablePart::GetCloneObject | ( | ) |
Gets the clone operation object.
std::vector<NXOpen::Assemblies::Component *> NXOpen::Tooling::AddReusablePart::GetDesignElement | ( | ) |
Gets an array of design elements.
NXOpen::Point3d NXOpen::Tooling::AddReusablePart::GetInitialPosition | ( | ) |
Gets the initial location, this is mainly used to get default add location of a reusable component.
NXOpen::Part* NXOpen::Tooling::AddReusablePart::GetParentPart | ( | ) |
Gets the parent part, this is mainly used to get context work part of a reusable component.
NXOpen::Tooling::ReusablePocketBuilder* NXOpen::Tooling::AddReusablePart::GetReusablePocketBuilder | ( | ) |
Gets the reusable pocket builder.
NXOpen::Tooling::SpreadsheetData* NXOpen::Tooling::AddReusablePart::GetSpreadsheetData | ( | ) |
Gets the spreadsheet data, this is mainly used to get the attributes of a reusable component.
void NXOpen::Tooling::AddReusablePart::InsertReusableComponent | ( | int | instIndex, |
bool | needTransform | ||
) |
Inserts the component into the part data
Created in NX9.0.0.
License requirements : None
instIndex | The index of the new component being added in the part data |
needTransform | Whether the component needs to be transformed in the fastener assembly |
void NXOpen::Tooling::AddReusablePart::LoadReusableComponent | ( | const NXString & | krxFile | ) |
Loads the reusable component
Created in NX9.0.0.
License requirements : None
krxFile | The KRX file |
void NXOpen::Tooling::AddReusablePart::LoadReusableComponent | ( | const char * | krxFile | ) |
Loads the reusable component
Created in NX9.0.0.
License requirements : None
krxFile | The KRX file |
void NXOpen::Tooling::AddReusablePart::MoveReusableComponent | ( | const NXOpen::Vector3d & | translation, |
const NXOpen::Matrix3x3 & | rotation, | ||
int | index | ||
) |
Moves a reusable component to a selected position
Created in NX9.0.0.
License requirements : None
translation | The translation data |
rotation | The rotation data |
index | The reusable component index in the part data |
NXOpen::Tooling::AddReusablePart::PositionMethod NXOpen::Tooling::AddReusablePart::PositionMode | ( | ) |
Returns the current position method.
Created in NX5.0.0.
License requirements : None
void NXOpen::Tooling::AddReusablePart::RecordReusableComponent | ( | const NXString & | fileName | ) |
Records the existing reusable component with the same name
Created in NX9.0.0.
License requirements : None
fileName | The reusable component name NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Tooling::AddReusablePart::RecordReusableComponent | ( | const char * | fileName | ) |
Records the existing reusable component with the same name
Created in NX9.0.0.
License requirements : None
fileName | The reusable component name NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Tooling::AddReusablePart::RemoveDesignElement | ( | ) |
Removes design element component
Created in NX9.0.0.
License requirements : None
void NXOpen::Tooling::AddReusablePart::RemoveOldInstance | ( | int | index | ) |
Removes the instance from the part data
Created in NX9.0.0.
License requirements : None
index | The index of component instance |
void NXOpen::Tooling::AddReusablePart::RemoveReusableComponent | ( | int | index | ) |
Removes a reusable component
Created in NX9.0.0.
License requirements : None
index | The reusable component index in the part data |
NXOpen::NXObject* NXOpen::Tooling::AddReusablePart::ReverseComponentDirection | ( | const NXOpen::Point3d & | inputPosition, |
const NXOpen::Point3d & | inputDirection, | ||
double | length, | ||
const NXOpen::Point3d & | outputPosition, | ||
const NXOpen::Point3d & | outputDirection | ||
) |
Reverses the direction of the reusable component if the reusable component is placed on a face.
inputPosition | The input position of componnent |
inputDirection | The input direction of componnent |
length | The input length of componnent |
outputPosition | The output position of componnent |
outputDirection | The output position of componnent |
void NXOpen::Tooling::AddReusablePart::ReversePreviewComponent | ( | const NXOpen::Point3d & | rememberDir | ) |
Reverses the direction of the reusable component if the reusable component is not placed on a face.
Created in NX9.0.0.
License requirements : None
rememberDir | The original position of component |
void NXOpen::Tooling::AddReusablePart::SaveLibraryPath | ( | const NXString & | libName, |
const NXString & | libpath | ||
) |
Saves the library name and path of the reusable component
Created in NX9.0.0.
License requirements : None
libName | Library name |
libpath | The path in the library |
void NXOpen::Tooling::AddReusablePart::SaveLibraryPath | ( | const char * | libName, |
const char * | libpath | ||
) |
Saves the library name and path of the reusable component
Created in NX9.0.0.
License requirements : None
libName | Library name |
libpath | The path in the library |
void NXOpen::Tooling::AddReusablePart::SetAttachedGeometry | ( | NXOpen::NXObject * | part | ) |
Sets the attached geometry, this is mainly used to set the initial parameter
Created in NX9.0.0.
License requirements : None
part | Geometry to calculate the initial parameter |
void NXOpen::Tooling::AddReusablePart::SetCloneObject | ( | NXOpen::Tooling::CloneObject * | cloneObject | ) |
Sets the clone operation object
Created in NX9.0.0.
License requirements : None
cloneObject | A Tooling::CloneObject instance |
void NXOpen::Tooling::AddReusablePart::SetComponentProperties | ( | const NXString & | referenceSetName, |
const NXString & | componentName, | ||
int | layer | ||
) |
Sets the reusable component properties
Created in NX9.0.0.
License requirements : None
referenceSetName | The name of the reference set used to represent the new component |
componentName | The name of the new component |
layer | The layer to place the new component on |
void NXOpen::Tooling::AddReusablePart::SetComponentProperties | ( | const char * | referenceSetName, |
const char * | componentName, | ||
int | layer | ||
) |
Sets the reusable component properties
Created in NX9.0.0.
License requirements : None
referenceSetName | The name of the reference set used to represent the new component |
componentName | The name of the new component |
layer | The layer to place the new component on |
void NXOpen::Tooling::AddReusablePart::SetInitialPosition | ( | const NXOpen::Point3d & | dropLocation | ) |
Sets the initial location, this is mainly used to set default add location of a reusable component
Created in NX9.0.0.
License requirements : None
dropLocation | Drop location to initial parameter |
void NXOpen::Tooling::AddReusablePart::SetParentPart | ( | NXOpen::Part * | part | ) |
Sets the parent part, this is mainly used to set context work part of a reusable component
Created in NX9.0.0.
License requirements : None
part | The parent part to place the component |
void NXOpen::Tooling::AddReusablePart::SetPositionMode | ( | NXOpen::Tooling::AddReusablePart::PositionMethod | positionMode | ) |
Sets the current position method.
Created in NX5.0.0.
License requirements : None
positionMode | position mode |
void NXOpen::Tooling::AddReusablePart::SetReusablePocketBuilder | ( | NXOpen::Tooling::ReusablePocketBuilder * | pocketTag | ) |
Sets the reusable pocket builder
Created in NX9.0.0.
License requirements : None
pocketTag | The reusable component pocket builder |
void NXOpen::Tooling::AddReusablePart::SetSearchGeometry | ( | bool | isTrunOn | ) |
Sets the search geometry for a reusable component
Created in NX9.0.0.
License requirements : None
isTrunOn | Whehter the search geometry toggle is turned on, which is on the add reusable component dialog |
void NXOpen::Tooling::AddReusablePart::SetSpreadsheetData | ( | NXOpen::Tooling::SpreadsheetData * | spreadsheetData | ) |
Sets the spreadsheet data, this is mainly used to set the attributes of a reusable component
Created in NX9.0.0.
License requirements : None
spreadsheetData | Spreadsheet data |
void NXOpen::Tooling::AddReusablePart::SubtituteReusableComponent | ( | bool | substituteInstance | ) |
Subtitutes a reusable part
Created in NX9.0.0.
License requirements : None
substituteInstance | Whether the resuable component needs to be substituted |
void NXOpen::Tooling::AddReusablePart::UpdatePartData | ( | ) |
Updates the part data of a reusable component
Created in NX9.0.0.
License requirements : None
void NXOpen::Tooling::AddReusablePart::UpdateReusableComponent | ( | ) |
Updates the part data for a reusable component, this is mainly used to update parameter for a reusable component
Created in NX9.0.0.
License requirements : None
void NXOpen::Tooling::AddReusablePart::UpdateReusablePocket | ( | ) |
Updates the pocket for a reusable component
Created in NX9.0.0.
License requirements : None